- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QMimeData Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qmimedata.h.

`#include <qmimedata.h>`

Inheritance diagram for QMimeData:
[legend]

List of all members.

## Public Member Functions
| QMimeData ()
| ~QMimeData ()
QList< QUrl > | urls () const
void | setUrls (const QList< QUrl > &urls)
bool | hasUrls () const
QString | text () const
void | setText (const QString &text)
bool | hasText () const
QString | html () const
void | setHtml (const QString &html)
bool | hasHtml () const
QVariant | imageData () const
void | setImageData (const QVariant &image)
bool | hasImage () const
QVariant | colorData () const
void | setColorData (const QVariant &color)
bool | hasColor () const
QByteArray | data (const QString &mimetype) const
void | setData (const QString &mimetype, const QByteArray &data)
void | removeFormat (const QString &mimetype)
virtual bool | hasFormat (const QString &mimetype) const
virtual QStringList | formats () const
void | clear ()
## Protected Member Functions
virtual QVariant | retrieveData (const QString &mimetype, QVariant::Type preferredType) const

## Constructor & Destructor Documentation

QMimeData | ( |  | ) |

~QMimeData | ( |  | ) |

## Member Function Documentation

QList<QUrl> urls | ( |  | ) | const

Search for all occurrences

void setUrls | ( | const QList< QUrl > & | urls | ) |

Search for all occurrences

bool hasUrls | ( |  | ) | const

Search for all occurrences

QString text | ( |  | ) | const

Search for all occurrences

void setText | ( | const QString & | text | ) |

Search for all occurrences

bool hasText | ( |  | ) | const

Search for all occurrences

QString html | ( |  | ) | const

Search for all occurrences

void setHtml | ( | const QString & | html | ) |

Search for all occurrences

bool hasHtml | ( |  | ) | const

Search for all occurrences

QVariant imageData | ( |  | ) | const

Search for all occurrences

void setImageData | ( | const QVariant & | image | ) |

Search for all occurrences

bool hasImage | ( |  | ) | const

Search for all occurrences

QVariant colorData | ( |  | ) | const

Search for all occurrences

void setColorData | ( | const QVariant & | color | ) |

Search for all occurrences

bool hasColor | ( |  | ) | const

Search for all occurrences

QByteArray data | ( | const QString & | mimetype | ) | const

Search for all occurrences

void setData | ( | const QString & | mimetype,
|  | const QByteArray & | data
| ) |  |

Search for all occurrences

void removeFormat | ( | const QString & | mimetype | ) |

Search for all occurrences

virtual bool hasFormat | ( | const QString & | mimetype | ) | const `[virtual]`

Search for all occurrences

virtual QStringList formats | ( |  | ) | const `[virtual]`

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

virtual QVariant retrieveData | ( | const QString & | mimetype,
|  | QVariant::Type | preferredType
| ) |  | const `[protected, virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qmimedata.h

QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData
QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData QMimeData